{ (C) 2001 Marek Wodzinski
 This code is licensed under GNU GPL
 version:1.0
}

uses rex,linux;

var
  ry,rm,rd,rh,rmin,rs:word;
  y,m,d,h,min,s:word;
begin
  if paramcount<1 then
  begin
    writeln(stderr,'Usage: rextime device [options]');
    writeln(stderr,'options: -w  - write system time to REX (without this rextime only reads time from REX)');
    halt(1);
  end;
  if not open_rex(paramstr(1)) then halt(1);
  
  getdatetime(y,m,d,h,min,s);
  get_rex_time(ry,rm,rd,rh,rmin,rs);
  writeln('Rex time: ',ry,'-',rm,'-',rd,' ',rh,':',rmin,':',rs);
  writeln('System time: ',y,'-',m,'-',d,' ',h,':',min,':',s);
  
  writeln('Difference: ',localtoepoch(ry,rm,rd,rh,rmin,rs)-localtoepoch(y,m,d,h,min,s));
  
  if (paramcount=2) and (paramstr(2)='-w') then set_rex_time(y,m,d,h,min,s);
  
  close_rex;
end.